## patchage 0.4.4

=== wscript ===
#!/usr/bin/env python
# Licensed under the GNU GPL v2 or later, see COPYING file for details.
# Copyright (C) 2008 Dave Robillard
# Copyright (C) 2008 Nedko Arnaudov
import os
import autowaf
import Options

# Version of this package (even if built as a child)
PATCHAGE_VERSION = '0.4.4'

# Variables for 'waf dist'
APPNAME = 'patchage'
VERSION = PATCHAGE_VERSION
APP_HUMAN_NAME = 'Patchage'

# Mandatory variables
srcdir = '.'
blddir = 'build'

def set_options(opt):
	autowaf.set_options(opt)
	opt.add_option('--patchage-install-name', type='string', default=APPNAME,
			dest='patchage_install_name',
			help="Patchage install name. [Default: '" + APPNAME + "']")
	opt.add_option('--patchage-human-name', type='string', default=APP_HUMAN_NAME,
			dest='patchage_human_name',
			help="Patchage human name [Default: '" + APP_HUMAN_NAME + "']")
	opt.add_option('--jack-dbus', action='store_true', default=False, dest='jack_dbus',
			help="Use Jack via D-Bus [Default: False (use libjack)]")
	opt.add_option('--no-lash', action='store_true', default=False, dest='no_lash',
			help="Do not build Lash support")
	opt.add_option('--no-alsa', action='store_true', default=False, dest='no_alsa',
			help="Do not build Alsa Sequencer support")

def configure(conf):
	autowaf.configure(conf)
	conf.check_tool('compiler_cxx')
	autowaf.check_pkg(conf, 'dbus-1', uselib_store='DBUS', mandatory=False)
	autowaf.check_pkg(conf, 'dbus-glib-1', uselib_store='DBUS_GLIB', mandatory=False)
	autowaf.check_pkg(conf, 'flowcanvas', uselib_store='FLOWCANVAS', atleast_version='0.5.1', mandatory=True)
	autowaf.check_pkg(conf, 'libglademm-2.4', uselib_store='GLADEMM', atleast_version='2.6.0', mandatory=True)
	autowaf.check_pkg(conf, 'glibmm-2.4', uselib_store='GLIBMM', atleast_version='2.14.0', mandatory=True)
	autowaf.check_pkg(conf, 'libgnomecanvasmm-2.6', uselib_store='GNOMECANVASMM', mandatory=True)
	autowaf.check_pkg(conf, 'gthread-2.0', uselib_store='GTHREAD', atleast_version='2.14.0', mandatory=True)
	autowaf.check_pkg(conf, 'gtkmm-2.4', uselib_store='GTKMM', atleast_version='2.11.12', mandatory=True)
	autowaf.check_pkg(conf, 'raul', uselib_store='RAUL', atleast_version='0.5.1', mandatory=True)

	# Use Jack D-Bus if requested (only one jack driver is allowed)
	conf.env['HAVE_JACK_DBUS'] = conf.env['HAVE_DBUS'] == 1 and Options.options.jack_dbus

	if conf.env['HAVE_JACK_DBUS']:
		conf.define('HAVE_JACK_DBUS', conf.env['HAVE_JACK_DBUS'])
	else:
		autowaf.check_pkg(conf, 'jack', uselib_store='JACK', atleast_version='0.107.0', mandatory=False)
		conf.define('USE_LIBJACK', int(conf.env['HAVE_JACK'] == 1))

	conf.define('HAVE_JACK_MIDI', int(conf.env['HAVE_JACK'] == 1 or conf.env['HAVE_JACK_DBUS'] == 1))

	# Use Alsa if present unless --no-alsa
	if not Options.options.no_alsa and conf.env['HAVE_ALSA'] != 1:
		autowaf.check_pkg(conf, 'alsa', uselib_store='ALSA', mandatory=False)
		if conf.env['HAVE_ALSA']:
			conf.define('HAVE_ALSA', 1)

	# Use LASH if we have DBUS unless --no-lash
	if not Options.options.no_lash and conf.env['HAVE_DBUS_GLIB']:
		conf.env['HAVE_LASH'] = 1
		conf.define('HAVE_LASH', 1)
	else:
		conf.env['HAVE_LASH'] = False

	conf.check_tool('misc') # subst tool

	# Boost headers
	autowaf.check_header(conf, 'boost/shared_ptr.hpp', mandatory=True)
	autowaf.check_header(conf, 'boost/weak_ptr.hpp', mandatory=True)

	conf.env['PATCHAGE_VERSION'] = PATCHAGE_VERSION

	conf.env['APP_INSTALL_NAME'] = Options.options.patchage_install_name
	conf.env['APP_HUMAN_NAME'] = Options.options.patchage_human_name
	if conf.env['BUNDLE']:
		conf.define('PATCHAGE_DATA_DIR', os.path.join(
				conf.env['DATADIR'], conf.env['APP_INSTALL_NAME']))
	else:
		conf.define('PATCHAGE_DATA_DIR', os.path.join(
				conf.env['DATADIR'], conf.env['APP_INSTALL_NAME']))

	conf.write_config_header('patchage-config.h')

	autowaf.print_summary(conf)
	autowaf.display_header('Patchage Configuration')
	autowaf.display_msg(conf, "Install name", "'" + conf.env['APP_INSTALL_NAME'] + "'", 'CYAN')
	autowaf.display_msg(conf, "App human name", "'" + conf.env['APP_HUMAN_NAME'] + "'", 'CYAN')
	autowaf.display_msg(conf, "Jack (D-Bus)", str(conf.env['HAVE_JACK_DBUS']))
	autowaf.display_msg(conf, "LASH (D-Bus)", str(conf.env['HAVE_LASH'] == 1))
	autowaf.display_msg(conf, "Jack (libjack)", str(bool(conf.env['USE_LIBJACK'])))
	autowaf.display_msg(conf, "Alsa Sequencer", str(conf.env['HAVE_ALSA'] == 1))
	print

def build(bld):
	# Program
	prog = bld.new_task_gen('cxx', 'program')
	prog.includes = ['.', 'src']
	prog.target = bld.env['APP_INSTALL_NAME']
	prog.install_path = '${BINDIR}'
	autowaf.use_lib(bld, prog, 'DBUS FLOWCANVAS GLADEMM DBUS_GLIB GNOMECANVASMM GTHREAD RAUL')
	prog.source = '''
		src/LashClient.cpp
		src/Patchage.cpp
		src/PatchageCanvas.cpp
		src/PatchageEvent.cpp
		src/StateManager.cpp
		src/main.cpp
	'''
	if bld.env['HAVE_JACK_DBUS']:
		prog.source += '''
			src/JackDbusDriver.cpp
		'''
	if bld.env['HAVE_LASH']:
		prog.source += '''
			src/LashProxy.cpp
			src/LoadProjectDialog.cpp
			src/Project.cpp
			src/ProjectList.cpp
			src/ProjectPropertiesDialog.cpp
			src/Session.cpp
		'''
	if bld.env['HAVE_LASH'] or bld.env['HAVE_JACK_DBUS']:
		prog.source += ' src/DBus.cpp '
	if bld.env['USE_LIBJACK']:
		prog.source += ' src/JackDriver.cpp '
		prog.uselib += ' JACK '
	if bld.env['HAVE_ALSA'] == 1:
		prog.source += ' src/AlsaDriver.cpp '
		prog.uselib += ' ALSA '

	# Glade UI definitions (XML)
	bld.install_files('${DATADIR}/' + bld.env['APP_INSTALL_NAME'], 'src/patchage.glade')

	# 'Desktop' file (menu entry, icon, etc)
	obj = bld.new_task_gen('subst')
	obj.source = 'patchage.desktop.in'
	obj.target = 'patchage.desktop'
	obj.dict = {
		'BINDIR'           : os.path.normpath(bld.env['BINDIR']),
		'APP_INSTALL_NAME' : bld.env['APP_INSTALL_NAME'],
		'APP_HUMAN_NAME'   : bld.env['APP_HUMAN_NAME'],
	}
	obj.install_path = '${DATADIR}/applications'

	# Icons
	#
	# Installation layout (with /usr prefix)
	# /usr/bin/patchage
	# /usr/share/applications/patchage.desktop
	# /usr/share/icons/hicolor/16x16/apps/patchage.png
	# /usr/share/icons/hicolor/22x22/apps/patchage.png
	# /usr/share/icons/hicolor/24x24/apps/patchage.png
	# /usr/share/icons/hicolor/32x32/apps/patchage.png
	# /usr/share/icons/hicolor/48x48/apps/patchage.png
	# /usr/share/icons/hicolor/scalable/apps/patchage.svg
	# /usr/share/patchage/patchage.glade
	#
	# icon cache is updated using:
	# gtk-update-icon-cache -f -t $(datadir)/icons/hicolor
	icon_sizes = ['16x16', '22x22', '24x24', '32x32', '48x48']
	for s in icon_sizes:
		bld.install_as(
			os.path.join(bld.env['DATADIR'], 'icons', 'hicolor', s, 'apps',
					bld.env['APP_INSTALL_NAME'] + '.png'),
			'icons/' + s + '/patchage.png')

def shutdown():
	autowaf.shutdown()

=== debian/changelog ===
patchage (0.4.4-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/hppa_parallel.patch:
    - Disable parallel build on hppa (Closes: #561305).
  * debian/rules:
    - Patch affected files on-the-fly.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 15 May 2010 11:34:44 +0000

patchage (0.4.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use convenience copy of waf, system wide waf package is being removed
    from Debian (Closes: #571711).
  * Build-depend on python, convenience copy of waf needs it.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 11 Apr 2010 16:41:01 +0200

patchage (0.4.4-1) unstable; urgency=low

  * New upstream release (closes: #560524)
  * debian/source/format: 3.0 quilt for .bz2 upstream
  * debian/watch: switch to bz2
  * debian/rules: use debhelper ninja foo, switch to waf
  * debian/control: add build-depends on waf, remove autotools-dev
  * debian/patchage.manpages: add list of manpages
  * debian/rules: add patchage.svg missing from waf install

 -- Paul Brossier <piem@debian.org>  Sat, 12 Dec 2009 16:28:59 +0100

patchage (0.4.2-1) unstable; urgency=low

  * New upstream release (closes: #468933)
  * debian/control:
    - add build-depends on liblash-dev (closes: #452236)
    - add build-depends on libboost-dev, libflowcanvas-dev and libraul-dev
    - add Homepage and Vcs-* fields, remove Homepage from description
  * debian/watch, debian/copyright: updated to new download location
  * debian/compat: bump to 7
  * debian/rules: do not ignore clean error
  * debian/menu: change from Apps to Applications
  * debian/docs: NEWS removed upstream debian/docs
  * debian/patchage.xpm: updated text icon from upstream version
  * debian/patchage.desktop: remove, use upstream version

 -- Paul Brossier <piem@debian.org>  Fri, 20 Nov 2009 09:28:38 +0100

patchage (0.2.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on libgtkmm-2.4-dev instead of libgtkmm2.0-dev.
    Closes: #431214

 -- Andreas Barth <aba@not.so.argh.org>  Fri, 20 Jul 2007 21:19:32 +0000

patchage (0.2.3-2) unstable; urgency=low

  * Rebuild against new libgkt+_+asdok
  * Update url in debian/{watch,copyright}

 -- Paul Brossier <piem@debian.org>  Sun, 11 Dec 2005 16:04:11 +0000

patchage (0.2.3-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@debian.org>  Fri, 30 Sep 2005 02:32:10 +0100

patchage (0.2.0-1) unstable; urgency=low

  * Initial release (closes: #318618)

 -- Paul Brossier <piem@debian.org>  Sun, 24 Jul 2005 14:46:39 +0100

=== debian/control ===
Source: patchage
Section: sound
Priority: optional
Maintainer: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>= 7.0.0),
               docbook-to-man,
               python,
               libjack-dev,
               liblash-dev,
               libgtkmm-2.4-dev,
               libgnomecanvasmm-2.6-dev,
               libglademm-2.4-dev,
               libasound2-dev,
               libraul-dev,
               libflowcanvas-dev,
               libboost-dev
Standards-Version: 3.8.3
Vcs-Bzr: http://bzr.debian.org/users/piem/patchage/
Vcs-Browser: http://bzr.debian.org/loggerhead/users/piem/patchage/
Homepage: http://drobilla.net/software/patchage/

Package: patchage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: modular patch bay for Jack audio and Alsa Midi
 Patchage provides a graphical interface to connect jack and midi inputs
 and outputs. Each application is represented as one box with inputs on
 the left and output on the right. Boxes can be moved around and
 arranged to have a clear display of the current setup.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	./waf --version && cd .waf*/wafadmin && patch -p1 < $(CURDIR)/debian/patches/hppa_parallel.patch
	./waf configure --prefix /usr

override_dh_auto_build:
	dh build --before dh_auto_build
	./waf build
	docbook-to-man debian/patchage.sgml > patchage.1
	dh build --after dh_auto_build

override_dh_auto_install:
	dh install --before dh_auto_install
	./waf install --destdir $(CURDIR)/debian/patchage
	dh_install debian/patchage.xpm usr/share/pixmaps
	dh_install icons/scalable/patchage.svg usr/share/icons/hicolor/scalable/apps 
	dh install --after dh_auto_install

override_dh_auto_clean:
	dh clean --before dh_auto_clean
	./waf --version && cd .waf*/wafadmin && patch -p1 < $(CURDIR)/debian/patches/hppa_parallel.patch
	./waf configure distclean --prefix /usr
	-$(RM) -f autowaf.pyc
	dh clean --after dh_auto_clean

## patchage 0.5.0

=== debian/changelog ===
patchage (0.5.0-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Upload to unstable (Closes: #628672).

 -- Alessio Treglia <alessio@debian.org>  Sat, 11 Jun 2011 09:47:47 +0200

patchage (0.5.0-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #603138):
    - Changes in 0.5.0:
      + Auto-arrange interface modules sanely (align corresponding
        inputs/outputs)
      + Add -J (--no-jack) command line option
      + Add proper --help output and man page
      + Improve performance (dramatically for large setups)
      + Fancy console info/warning/error logging
      + Fix minor memory leaks and reduce memory consumption
      + Fix handling of ALSA duplex ports
      + Hide "split" module menu item when it is useless
      + Fix Jack D-Bus support
      + Mac OS X .app bundle port
      + Bump FlowCanvas dependency to 0.7.0
      + Add more/larger icons
      + Add missing COPYING file to distribution
      + Build system and code quality improvements
    - Changes in 0.4.5:
      + Install SVG icon
      + Fix compilation without Jack
      + Improve performance when dragging modules
      + Bump FlowCanvas dependency to 0.6.0
      + Upgrade to waf 1.5.18
  * debian/rules:
    - No need to apply hppa_parallel.patch anymore since hppa arch was
      dropped.
    - Rewrote to use pure DH7 short-form.
    - Pass --debug,--strict to ./waf configure.
  * debian/control:
    - Bump up build-dependencies on debhelper,libraul-dev,libflowcanvas-dev.
    - Drop lash support in favor of ladish.
    - Add jackd on Recommends.
    - Add ladish on Suggests.
    - Bump Standards.
  * debian/copyright:
    - Update copyright information.
    - Add license and copyright holder for waf.
    - Update as per DEP-5 rev.174.
  * debian/patches/0001-desktop_file.patch:
    - Remove Encoding field.
    - Remove Application from Category field.
    - Add trailing colon to the Category field value.
  * Remove unneeded debian/dirs file.
  * Add debian/install file rather than call dh_install to install every
    additional file.
  * Remove debian/patchage.{manpages,sgml}, upstream now provides a manpage.

 -- Alessio Treglia <alessio@debian.org>  Tue, 26 Apr 2011 12:14:00 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	./waf configure --prefix=/usr --debug --strict

override_dh_auto_build:
	./waf build

override_dh_auto_install:
	./waf install --destdir=$(CURDIR)/debian/patchage

override_dh_auto_clean:
	./waf distclean
	$(RM) -f autowaf/autowaf.pyc
	dh_auto_clean

## patchage 0.5.0+dfsg0

=== wscript ===
#!/usr/bin/env python
# Licensed under the GNU GPL v2 or later, see COPYING file for details.
# Copyright (C) 2008-2010 David Robillard
# Copyright (C) 2008 Nedko Arnaudov
import os
import autowaf
import Options

# Version of this package (even if built as a child)
PATCHAGE_VERSION = '0.5.0'

# Variables for 'waf dist'
APPNAME = 'patchage'
VERSION = PATCHAGE_VERSION
APP_HUMAN_NAME = 'Patchage'

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
	autowaf.set_options(opt)
	opt.add_option('--patchage-install-name', type='string', default=APPNAME,
			dest='patchage_install_name',
			help="Patchage install name. [Default: '" + APPNAME + "']")
	opt.add_option('--patchage-human-name', type='string', default=APP_HUMAN_NAME,
			dest='patchage_human_name',
			help="Patchage human name [Default: '" + APP_HUMAN_NAME + "']")
	opt.add_option('--jack-dbus', action='store_true', default=False, dest='jack_dbus',
			help="Use Jack via D-Bus [Default: False (use libjack)]")
	opt.add_option('--no-lash', action='store_true', default=False, dest='no_lash',
			help="Do not build Lash support")
	opt.add_option('--no-alsa', action='store_true', default=False, dest='no_alsa',
			help="Do not build Alsa Sequencer support")
	opt.add_option('--no-binloc', action='store_true', default=False, dest='no_binloc',
			help="Do not try to read files from executable's parent directory")

def configure(conf):
	autowaf.configure(conf)
	autowaf.display_header('Patchage Configuration')
	conf.check_tool('compiler_cxx')
	autowaf.check_pkg(conf, 'dbus-1', uselib_store='DBUS', mandatory=False)
	autowaf.check_pkg(conf, 'dbus-glib-1', uselib_store='DBUS_GLIB', mandatory=False)
	autowaf.check_pkg(conf, 'libgnomecanvasmm-2.6', uselib_store='GNOMECANVASMM', mandatory=True)
	autowaf.check_pkg(conf, 'gthread-2.0', uselib_store='GTHREAD',
			  atleast_version='2.14.0', mandatory=True)
	autowaf.check_pkg(conf, 'glibmm-2.4', uselib_store='GLIBMM',
			  atleast_version='2.14.0', mandatory=True)
	autowaf.check_pkg(conf, 'gtkmm-2.4', uselib_store='GTKMM',
			  atleast_version='2.11.12', mandatory=True)
	autowaf.check_pkg(conf, 'libglademm-2.4', uselib_store='GLADEMM',
			  atleast_version='2.6.0', mandatory=True)
	autowaf.check_pkg(conf, 'flowcanvas', uselib_store='FLOWCANVAS',
			  atleast_version='0.7.1', mandatory=True)
	autowaf.check_pkg(conf, 'raul', uselib_store='RAUL',
			  atleast_version='0.5.1', mandatory=True)

	# Check for dladdr
	conf.check(function_name='dladdr',
	           header_name='dlfcn.h',
	           cflags='-D_GNU_SOURCE',
	           linkflags='-ldl',
	           define_name='HAVE_DLADDR',
	           mandatory=False)

	# Use Jack D-Bus if requested (only one jack driver is allowed)
	conf.env['HAVE_JACK_DBUS'] = conf.env['HAVE_DBUS'] == 1 and conf.env['HAVE_DBUS_GLIB'] == 1 and Options.options.jack_dbus

	if conf.env['HAVE_JACK_DBUS']:
		autowaf.define(conf, 'HAVE_JACK_DBUS', conf.env['HAVE_JACK_DBUS'])
	else:
		autowaf.check_pkg(conf, 'jack', uselib_store='JACK', atleast_version='0.107.0', mandatory=False)
		if conf.env['HAVE_JACK'] == 1:
			autowaf.define(conf, 'PATCHAGE_LIBJACK', 1)

	autowaf.define(conf, 'HAVE_JACK_MIDI', int(conf.env['HAVE_JACK'] == 1 or conf.env['HAVE_JACK_DBUS'] == 1))

	# Use Alsa if present unless --no-alsa
	if not Options.options.no_alsa:
		autowaf.check_pkg(conf, 'alsa', uselib_store='ALSA', mandatory=False)

	# Use LASH if we have DBUS unless --no-lash
	if not Options.options.no_lash and conf.env['HAVE_DBUS_GLIB']:
		autowaf.define(conf, 'HAVE_LASH', 1)

	# Find files at binary location if we have dladdr unless --no-binloc
	if not Options.options.no_binloc and conf.env['HAVE_DLADDR']:
		autowaf.define(conf, 'PATCHAGE_BINLOC', 1)

	# Boost headers
	autowaf.check_header(conf, 'boost/shared_ptr.hpp', mandatory=True)
	autowaf.check_header(conf, 'boost/weak_ptr.hpp', mandatory=True)

	conf.env['PATCHAGE_VERSION'] = PATCHAGE_VERSION

	conf.env['APP_INSTALL_NAME'] = Options.options.patchage_install_name
	conf.env['APP_HUMAN_NAME'] = Options.options.patchage_human_name
	autowaf.define(conf, 'PATCHAGE_DATA_DIR', os.path.join(
			conf.env['DATADIR'], conf.env['APP_INSTALL_NAME']))

	conf.write_config_header('patchage-config.h', remove=False)

	autowaf.display_msg(conf, "Install name", "'" + conf.env['APP_INSTALL_NAME'] + "'", 'CYAN')
	autowaf.display_msg(conf, "App human name", "'" + conf.env['APP_HUMAN_NAME'] + "'", 'CYAN')
	autowaf.display_msg(conf, "Jack (D-Bus)", str(conf.env['HAVE_JACK_DBUS']))
	autowaf.display_msg(conf, "LASH (D-Bus)", str(conf.env['HAVE_LASH'] == 1))
	autowaf.display_msg(conf, "Jack (libjack)", str(conf.env['PATCHAGE_LIBJACK'] == 1))
	autowaf.display_msg(conf, "Alsa Sequencer", str(conf.env['HAVE_ALSA'] == 1))
	print

def build(bld):
	out_base = ''
	if Options.platform == 'darwin':
		out_base = 'Patchage.app/Contents/'

	# Program
	prog = bld(features = 'cxx cxxprogram')
	prog.includes = ['.', 'src']
	prog.target = out_base + bld.env['APP_INSTALL_NAME']
	prog.install_path = '${BINDIR}'
	autowaf.use_lib(bld, prog, 'DBUS FLOWCANVAS GLADEMM DBUS_GLIB GNOMECANVASMM GTHREAD RAUL')
	prog.source = '''
		src/Client.cpp
		src/Patchage.cpp
		src/PatchageCanvas.cpp
		src/PatchageEvent.cpp
		src/PatchageModule.cpp
		src/StateManager.cpp
		src/main.cpp
	'''
	if bld.env['HAVE_JACK_DBUS']:
		prog.source += '''
			src/JackDbusDriver.cpp
		'''
	if bld.env['HAVE_LASH']:
		prog.source += '''
			src/LashProxy.cpp
			src/LoadProjectDialog.cpp
			src/Project.cpp
			src/ProjectList.cpp
			src/ProjectPropertiesDialog.cpp
			src/Session.cpp
		'''
	if bld.env['HAVE_LASH'] or bld.env['HAVE_JACK_DBUS']:
		prog.source += ' src/DBus.cpp '
	if bld.env['PATCHAGE_LIBJACK']:
		prog.source += ' src/JackDriver.cpp '
		prog.uselib += ' JACK '
	if bld.env['HAVE_ALSA'] == 1:
		prog.source += ' src/AlsaDriver.cpp '
		prog.uselib += ' ALSA '
	if bld.env['PATCHAGE_BINLOC']:
		prog.linkflags = ['-ldl']

	# Glade XML UI definition
	bld(features         = 'subst',
	    source           = 'src/patchage.glade',
	    target           = out_base + 'patchage.glade',
	    install_path     = '${DATADIR}/' + bld.env['APP_INSTALL_NAME'],
	    chmod            = 0644,
		PATCHAGE_VERSION = PATCHAGE_VERSION)

	# 'Desktop' file (menu entry, icon, etc)
	bld(features         = 'subst',
	    source           = 'patchage.desktop.in',
	    target           = 'patchage.desktop',
	    install_path     = '${DATADIR}/applications',
	    chmod            = 0644,
	    BINDIR           = os.path.normpath(bld.env['BINDIR']),
	    APP_INSTALL_NAME = bld.env['APP_INSTALL_NAME'],
	    APP_HUMAN_NAME   = bld.env['APP_HUMAN_NAME'])

	if Options.platform == 'darwin':
		# Property list
		bld(features         = 'subst',
		    source           = 'osx/Info.plist.in',
		    target           = out_base + 'Info.plist',
		    install_path     = '',
		    chmod            = 0644)

		# Icons
		bld(rule='cp ${SRC} ${TGT}',
		    source = 'osx/Patchage.icns',
		    target = out_base + 'Resources/Patchage.icns')

		# Gtk/Pango/etc configuration files
		for i in ['pangorc', 'pango.modules', 'gtkrc']:
			bld(rule   = 'cp ${SRC} ${TGT}',
			    source = 'osx/' + i,
			    target = out_base + 'Resources/' + i)

	# Icons
	# After installation, icon cache should be updated using:
	# gtk-update-icon-cache -f -t $(datadir)/icons/hicolor
	icon_sizes = [16, 22, 24, 32, 48, 128, 256, 512]
	for s in icon_sizes:
		d = '%dx%d' % (s, s)
		bld.install_as(
			os.path.join(bld.env['DATADIR'], 'icons', 'hicolor', d, 'apps',
					bld.env['APP_INSTALL_NAME'] + '.png'),
			'icons/' + d + '/patchage.png')

	bld.install_as(
		os.path.join(bld.env['DATADIR'], 'icons', 'hicolor', 'scalable', 'apps',
				bld.env['APP_INSTALL_NAME'] + '.svg'),
		'icons/scalable/patchage.svg')

	bld.install_files('${MANDIR}/man1', bld.path.ant_glob('doc/*.1'))

=== debian/changelog ===
patchage (0.5.0+dfsg0-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Repack upstream tarball to get rid of the 'waf' blob (Closes: #654495):
  * debian/rules: Properly clean sources tree.

 -- Alessio Treglia <alessio@debian.org>  Wed, 11 Jan 2012 00:41:36 +0100

=== debian/control ===
Source: patchage
Section: sound
Priority: optional
Maintainer: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               docbook-to-man,
               python,
               libjack-dev,
               libgtkmm-2.4-dev,
               libgnomecanvasmm-2.6-dev,
               libglademm-2.4-dev,
               libasound2-dev,
               libraul-dev (>= 0.8.0),
               libflowcanvas-dev (>= 0.7.1),
               libboost-dev
Standards-Version: 3.9.2
Vcs-Bzr: http://bzr.debian.org/users/piem/patchage/
Vcs-Browser: http://bzr.debian.org/loggerhead/users/piem/patchage/
Homepage: http://drobilla.net/software/patchage/

Package: patchage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: jackd
Suggests: ladish
Description: modular patch bay for Jack audio and Alsa Midi
 Patchage provides a graphical interface to connect jack and midi inputs
 and outputs. Each application is represented as one box with inputs on
 the left and output on the right. Boxes can be moved around and
 arranged to have a clear display of the current setup.

=== debian/watch ===
version=3
http://drobilla.net/software/patchage/ \
  http://download.drobilla.net/patchage-(.*)\.tar\.bz2

## patchage 1.0.0~dfsg0

=== wscript ===
#!/usr/bin/env python
# Licensed under the GNU GPL v3 or later, see COPYING file for details.
# Copyright 2008-2013 David Robillard
# Copyright 2008 Nedko Arnaudov

import os

from waflib.extras import autowaf as autowaf
import waflib.Options as Options, waflib.Utils as Utils

# Version of this package (even if built as a child)
PATCHAGE_VERSION = '1.0.0'

# Variables for 'waf dist'
APPNAME = 'patchage'
VERSION = PATCHAGE_VERSION
APP_HUMAN_NAME = 'Patchage'

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_cxx')
    autowaf.set_options(opt)
    opt.add_option('--patchage-install-name', type='string', default=APPNAME,
                    dest='patchage_install_name',
                    help='Patchage install name. [Default: '' + APPNAME + '']')
    opt.add_option('--patchage-human-name', type='string', default=APP_HUMAN_NAME,
                    dest='patchage_human_name',
                    help='Patchage human name [Default: '' + APP_HUMAN_NAME + '']')
    opt.add_option('--jack-dbus', action='store_true', dest='jack_dbus',
                    help='Use Jack via D-Bus [Default: False (use libjack)]')
    opt.add_option('--jack-session-manage', action='store_true', dest='jack_session_manage',
                    help='Include experimental JACK session management (save/restore) support')
    opt.add_option('--no-alsa', action='store_true', dest='no_alsa',
                    help='Do not build Alsa Sequencer support')
    opt.add_option('--no-binloc', action='store_true', dest='no_binloc',
                    help='Do not try to read files from executable location')

def configure(conf):
    conf.line_just = 44
    conf.load('compiler_cxx')
    autowaf.configure(conf)
    autowaf.display_header('Patchage Configuration')

    conf.check_cxx(cxxflags=["-std=c++0x"])
    conf.env.append_unique('CXXFLAGS', ['-std=c++0x'])

    autowaf.check_pkg(conf, 'dbus-1', uselib_store='DBUS',
                      mandatory=False)
    autowaf.check_pkg(conf, 'dbus-glib-1', uselib_store='DBUS_GLIB',
                      mandatory=False)
    autowaf.check_pkg(conf, 'gthread-2.0', uselib_store='GTHREAD',
                      atleast_version='2.14.0', mandatory=True)
    autowaf.check_pkg(conf, 'glibmm-2.4', uselib_store='GLIBMM',
                      atleast_version='2.14.0', mandatory=True)
    autowaf.check_pkg(conf, 'gtkmm-2.4', uselib_store='GTKMM',
                      atleast_version='2.12.0', mandatory=True)
    autowaf.check_pkg(conf, 'ganv-1', uselib_store='GANV',
                      atleast_version='1.4.0', mandatory=True)

    if Options.platform == 'darwin':
        autowaf.check_pkg(conf, 'gtk-mac-integration', uselib_store='GTK_OSX',
                          atleast_version='1.0.0', mandatory=True)
        if conf.is_defined('HAVE_GTK_OSX'):
            autowaf.define(conf, 'PATCHAGE_GTK_OSX', 1)

    # Check for dladdr
    conf.check(function_name='dladdr',
               header_name='dlfcn.h',
               defines=['_GNU_SOURCE'],
               lib=['dl'],
               define_name='HAVE_DLADDR',
               mandatory=False)

    # Use Jack D-Bus if requested (only one jack driver is allowed)
    if Options.options.jack_dbus and conf.is_defined('HAVE_DBUS') and conf.is_defined('HAVE_DBUS_GLIB'):
        autowaf.define(conf, 'HAVE_JACK_DBUS', 1)
    else:
        autowaf.check_pkg(conf, 'jack', uselib_store='JACK',
                          atleast_version='0.120.0', mandatory=False)
        if conf.is_defined('HAVE_JACK'):
            autowaf.define(conf, 'PATCHAGE_LIBJACK', 1)
            if Options.options.jack_session_manage:
                autowaf.define(conf, 'PATCHAGE_JACK_SESSION', 1)
            conf.check(function_name='jack_get_property',
                       header_name='jack/metadata.h',
                       define_name='HAVE_JACK_METADATA',
                       uselib='JACK',
                       mandatory=False)

    # Use Alsa if present unless --no-alsa
    if not Options.options.no_alsa:
        autowaf.check_pkg(conf, 'alsa', uselib_store='ALSA', mandatory=False)

    # Find files at binary location if we have dladdr unless --no-binloc
    if not Options.options.no_binloc and conf.is_defined('HAVE_DLADDR'):
        autowaf.define(conf, 'PATCHAGE_BINLOC', 1)

    # Boost headers
    autowaf.check_header(conf, 'cxx', 'boost/format.hpp')
    autowaf.check_header(conf, 'cxx', 'boost/shared_ptr.hpp')
    autowaf.check_header(conf, 'cxx', 'boost/utility.hpp')
    autowaf.check_header(conf, 'cxx', 'boost/weak_ptr.hpp')

    conf.env.PATCHAGE_VERSION = PATCHAGE_VERSION

    conf.env.APP_INSTALL_NAME = Options.options.patchage_install_name
    conf.env.APP_HUMAN_NAME = Options.options.patchage_human_name
    autowaf.define(conf, 'PATCHAGE_DATA_DIR', os.path.join(
                    conf.env.DATADIR, conf.env.APP_INSTALL_NAME))

    conf.write_config_header('patchage_config.h', remove=False)

    autowaf.display_msg(conf, "Install name", "'" + conf.env.APP_INSTALL_NAME + "'", 'CYAN')
    autowaf.display_msg(conf, "App human name", "'" + conf.env.APP_HUMAN_NAME + "'", 'CYAN')
    autowaf.display_msg(conf, "Jack (D-Bus)", conf.is_defined('HAVE_JACK_DBUS'))
    autowaf.display_msg(conf, "Jack (libjack)", conf.is_defined('PATCHAGE_LIBJACK'))
    autowaf.display_msg(conf, "Jack Session Management", conf.is_defined('PATCHAGE_JACK_SESSION'))
    autowaf.display_msg(conf, "Jack Metadata", conf.is_defined('HAVE_JACK_METADATA'))
    autowaf.display_msg(conf, "Alsa Sequencer", conf.is_defined('HAVE_ALSA'))
    if Options.platform == 'darwin':
        autowaf.display_msg(conf, "Mac Integration", conf.is_defined('HAVE_GTK_OSX'))
        
    print('')

def build(bld):
    out_base = ''
    if Options.platform == 'darwin':
        out_base = 'Patchage.app/Contents/'

    # Program
    prog = bld(features     = 'cxx cxxprogram',
               includes     = ['.', 'src'],
               target       = out_base + bld.env.APP_INSTALL_NAME,
               install_path = '${BINDIR}')
    autowaf.use_lib(bld, prog, 'DBUS GANV DBUS_GLIB GTKMM GNOMECANVAS GTHREAD GTK_OSX')
    prog.source = '''
            src/Configuration.cpp
            src/Patchage.cpp
            src/PatchageCanvas.cpp
            src/PatchageEvent.cpp
            src/PatchageModule.cpp
            src/main.cpp
    '''
    if bld.is_defined('HAVE_JACK_DBUS'):
        prog.source += ' src/JackDbusDriver.cpp '
    if bld.is_defined('PATCHAGE_LIBJACK'):
        prog.source += ' src/JackDriver.cpp '
        prog.uselib += ' JACK NEWJACK '
    if bld.is_defined('HAVE_ALSA'):
        prog.source += ' src/AlsaDriver.cpp '
        prog.uselib += ' ALSA '
    if bld.is_defined('PATCHAGE_BINLOC'):
        prog.lib = ['dl']

    # XML UI definition
    bld(features         = 'subst',
        source           = 'src/patchage.ui',
        target           = out_base + 'patchage.ui',
        install_path     = '${DATADIR}/' + bld.env.APP_INSTALL_NAME,
        chmod            = Utils.O644,
        PATCHAGE_VERSION = PATCHAGE_VERSION)

    # 'Desktop' file (menu entry, icon, etc)
    bld(features         = 'subst',
        source           = 'patchage.desktop.in',
        target           = 'patchage.desktop',
        install_path     = '${DATADIR}/applications',
        chmod            = Utils.O644,
        BINDIR           = os.path.normpath(bld.env.BINDIR),
        APP_INSTALL_NAME = bld.env.APP_INSTALL_NAME,
        APP_HUMAN_NAME   = bld.env.APP_HUMAN_NAME)

    if Options.platform == 'darwin':
        # Property list
        bld(features         = 'subst',
            source           = 'osx/Info.plist.in',
            target           = out_base + 'Info.plist',
            install_path     = '',
            chmod            = Utils.O644)

        # Icons
        bld(rule   = 'cp ${SRC} ${TGT}',
            source = 'osx/Patchage.icns',
            target = out_base + 'Resources/Patchage.icns')

        # Gtk/Pango/etc configuration files
        for i in ['pangorc', 'pango.modules', 'gtkrc', 'fonts.conf']:
            bld(rule   = 'cp ${SRC} ${TGT}',
                source = 'osx/' + i,
                target = out_base + 'Resources/' + i)

    # Icons
    # After installation, icon cache should be updated using:
    # gtk-update-icon-cache -f -t $(datadir)/icons/hicolor
    icon_sizes = [16, 22, 24, 32, 48, 128, 256, 512]
    for s in icon_sizes:
        d = '%dx%d' % (s, s)
        bld.install_as(
                os.path.join(bld.env.DATADIR, 'icons', 'hicolor', d, 'apps',
                                bld.env.APP_INSTALL_NAME + '.png'),
                'icons/' + d + '/patchage.png')

    bld.install_as(
            os.path.join(bld.env.DATADIR, 'icons', 'hicolor', 'scalable', 'apps',
                            bld.env.APP_INSTALL_NAME + '.svg'),
            'icons/scalable/patchage.svg')

    bld.install_files('${MANDIR}/man1', bld.path.ant_glob('doc/*.1'))

=== debian/changelog ===
patchage (1.0.0~dfsg0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary Build-Depends on libgnomecanvasmm-2.6-dev and
    libglademm-2.4-dev (Closes: #885091)
  * Drop obsolete menu file and .xpm
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 23 Dec 2017 13:28:15 -0500

patchage (1.0.0~dfsg0-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #747215):
    - Allow removing connections by selecting their handle and
      pressing delete.
    - Remove Raul dependency.
    - Switch from FlowCanvas to Ganv (much improved looks and performance).
    - Remove LASH support and simplify UI.
    - Support for DOT export for rendering with GraphViz.
    - Use XDG_CONFIG_HOME instead of ~/.patchagerc.
    - Make port colours configurable.
    - Support port pretty names via new Jack metadata API.
  * Drop build-dependency on libraul-dev.
  * Drop libflowcanvas-dev in favor of libganv-dev.
  * Drop debian/patches, the remaining delta has been merged upstream.
  * Update debian/watch.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 18 Jun 2014 13:37:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,15 @@
 Section: sound
 Priority: optional
 Maintainer: Paul Brossier <piem@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 11),
                docbook-to-man,
                python,
                libjack-dev,
                libgtkmm-2.4-dev,
-               libgnomecanvasmm-2.6-dev,
-               libglademm-2.4-dev,
                libasound2-dev,
-               libraul-dev (>= 0.8.0),
-               libflowcanvas-dev (>= 0.7.1),
+               libganv-dev (>= 1.4.0~),
                libboost-dev
-Standards-Version: 3.9.2
+Standards-Version: 4.1.2
 Vcs-Bzr: http://bzr.debian.org/users/piem/patchage/
 Vcs-Browser: http://bzr.debian.org/loggerhead/users/piem/patchage/
 Homepage: http://drobilla.net/software/patchage/

=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,5 @@
 
 override_dh_auto_clean:
 	./waf distclean
-	$(RM) -f autowaf/autowaf.pyc
+	find -name "*.pyc" -delete
 	dh_auto_clean

## patchage 1.0.0~dfsg0-0.2+9.0trisquel2

=== debian/changelog ===
patchage (1.0.0~dfsg0-0.2+9.0trisquel2) etiona-backports; urgency=medium

  * Backported from debian old stable

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 12 Jan 2022 12:36:25 +0000
